#! /usr/bin/env python3
import os, sys

def show_all_files_directory(dir_path = str, search_endung = False, search_string = False):
    li_all = []
    for root_folder, dirs, files in os.walk(dir_path, topdown=False):       
        for name in files: 
            FullPATH = str(os.path.join(root_folder, name))
            if not search_endung is False:
                if FullPATH.endswith(search_endung):
                    li_all.append(FullPATH)
            elif not search_string is False:
                if not FullPATH.find(search_string) ==  -1:
                     li_all.append(FullPATH)
            else:
                li_all.append(FullPATH)        
    return li_all

def simple_files(dir_path):
 files = os.listdir(dir_path)
 return [f for f in files if os.path.isfile(dir_path + '/'+f)]


def main(check_list = list, main_folder_in = str):
    output_list = []
    for folder_name in check_list:
        main_folder =main_folder_in + os.sep + folder_name
        if os.path.exists(main_folder):
            run_file_check = simple_files(dir_path=main_folder)
            print(run_file_check)
            for file_name in run_file_check:
                if file_name == "frm_ref":
                    filename = "frmref"
                #output_list.append(str(folder_name + '=' +file_name[1]))
                output_list.append(str(folder_name + '=' +file_name))
            output_list.append("")
        else:
            print(main_folder, "existiert nicht")
    return output_list



    print(os.get_exec_path())

if __name__ == "__main__":

    check_folders = ["fm", "plsqllib", "frm_ref"]

    if len(sys.argv) == 1 or len(sys.argv) == 3:
        raise SystemExit("Das Skript muss mit einen Parameter aufgerufen werden. Zum Beispiel ./skript.py suma oder python3 skript.py suma")
    print(sys.argv)
    output_file = sys.argv[1] + "-module.txt"
    main_folder = sys.argv[1]
    #show all Folders from dir
    #test = [os.path.join(".", o) for o in os.listdir(".") if os.path.isdir(os.path.join(".",o))]
    running_main = main(check_list=check_folders, main_folder_in=main_folder)
    if os.path.exists(output_file):
        os.remove(output_file)

    for run in running_main:
        with open(output_file, "a") as file: 
            print(run, file=file)